:root {
    --brand-color-primary: #111111;
    --brand-color-secondary: #FFFFFF;
    --brand-color-tertiary: #000000;

    --body-background: var(--brand-color-tertiary);
    --text-color: var(--brand-color-secondary);
}

*, *::before, *::after {
    box-sizing: border-box;
}

html {
    font-size: 100%;
    box-sizing: border-box;
}

body {
    margin: 0;
    padding: 0;
    background: var(--body-background);
    color: var(--text-color);
    font-family: sans-serif;
}

.wrapper {
    height: 100dvh;
    width: 100dvw;
    display: flex;
    justify-content: center;
    align-content: center;
    flex-direction: column;
    position: relative;
}

.logo {
    --logo-default-color: var(--brand-color-secondary);
    --logo-default-background: var(--brand-color-primary);
    --logo-primary-color: var(--logo-default-color);
    --logo-secondary-color: var(--logo-default-color);

    --logo-animation-base-delay: 0;
    --logo-animation-part: 100;
    --logo-animation-part-delay: 0;
    --logo-animation-speed: 500;
    --logo-animation-iterations: 1;

    margin: 0 auto;
    position: fixed;
    top: 6vw;
    left: 0;
    right: 0;
    width: 60px;
    height: auto;
    z-index: 2;
}

@media screen and (min-width: 760px), (max-height: 460px) {
    .logo {
        margin: 0;
        top: 6vw;
        left: 6vw;
        right: auto;
    }
}

@media screen and (min-width: 760px) and (min-height: 460px) {
    .logo {
        width: 140px;
    }
}

.logo .cls-1 {
    fill: var(--logo-default-color);
    transform: scale(0);
    transform-origin: center;
    transform-box: fill-box;
}

.logo .cls-2 {
    fill: var(--logo-default-background);
}

.logo.animate .cls-1 {
    animation: place calc(var(--logo-animation-speed) * 1ms) calc(calc(var(--logo-animation-base-delay) + var(--logo-animation-part-delay)) * 1ms) var(--logo-animation-iterations) forwards;
}

.logo .cls-1:nth-child(1) { --logo-animation-part-color: var(--logo-secondary-color); --logo-animation-part-delay: calc(var( --logo-animation-part) * 0); }
.logo .cls-1:nth-child(2) { --logo-animation-part-color: var(--logo-primary-color); --logo-animation-part-delay: calc(var( --logo-animation-part) * 1); }
.logo .cls-1:nth-child(3) { --logo-animation-part-color: var(--logo-primary-color); --logo-animation-part-delay: calc(var( --logo-animation-part) * 2); }
.logo .cls-1:nth-child(4) { --logo-animation-part-color: var(--logo-primary-color); --logo-animation-part-delay: calc(var( --logo-animation-part) * 3); }
.logo .cls-1:nth-child(5) { --logo-animation-part-color: var(--logo-primary-color); --logo-animation-part-delay: calc(var( --logo-animation-part) * 4); }
.logo .cls-1:nth-child(6) { --logo-animation-part-color: var(--logo-primary-color); --logo-animation-part-delay: calc(var( --logo-animation-part) * 5); }
.logo .cls-1:nth-child(7) { --logo-animation-part-color: var(--logo-primary-color); --logo-animation-part-delay: calc(var( --logo-animation-part) * 6); }
.logo .cls-1:nth-child(8) { --logo-animation-part-color: var(--logo-primary-color); --logo-animation-part-delay: calc(var( --logo-animation-part) * 7); }
.logo .cls-1:nth-child(9) { --logo-animation-part-color: var(--logo-primary-color); --logo-animation-part-delay: calc(var( --logo-animation-part) * 8); }
.logo .cls-1:nth-child(10) { --logo-animation-part-color: var(--logo-primary-color); --logo-animation-part-delay: calc(var( --logo-animation-part) * 9); }
.logo .cls-1:nth-child(11) { --logo-animation-part-color: var(--logo-primary-color); --logo-animation-part-delay: calc(var( --logo-animation-part) * 10); }
.logo .cls-1:nth-child(12) { --logo-animation-part-color: var(--logo-secondary-color); --logo-animation-part-delay: calc(var( --logo-animation-part) * 11); }
.logo .cls-1:nth-child(13) { --logo-animation-part-color: var(--logo-primary-color); --logo-animation-part-delay: calc(var( --logo-animation-part) * 12); }
.logo .cls-1:nth-child(14) { --logo-animation-part-color: var(--logo-primary-color); --logo-animation-part-delay: calc(var( --logo-animation-part) * 13); }
.logo .cls-1:nth-child(15) { --logo-animation-part-color: var(--logo-primary-color); --logo-animation-part-delay: calc(var( --logo-animation-part) * 14); }
.logo .cls-1:nth-child(16) { --logo-animation-part-color: var(--logo-primary-color); --logo-animation-part-delay: calc(var( --logo-animation-part) * 15); }
.logo .cls-1:nth-child(17) { --logo-animation-part-color: var(--logo-primary-color); --logo-animation-part-delay: calc(var( --logo-animation-part) * 16); }
.logo .cls-1:nth-child(18) { --logo-animation-part-color: var(--logo-primary-color); --logo-animation-part-delay: calc(var( --logo-animation-part) * 17); }
.logo .cls-1:nth-child(19) { --logo-animation-part-color: var(--logo-primary-color); --logo-animation-part-delay: calc(var( --logo-animation-part) * 18); }
.logo .cls-1:nth-child(20) { --logo-animation-part-color: var(--logo-secondary-color); --logo-animation-part-delay: calc(var( --logo-animation-part) * 19); }

.container {
    position: relative;
    width: 100%;
    height: 100dvh;
    scroll-behavior: smooth;
    overflow-y: auto;
    scroll-snap-type: y mandatory;
}

.release {
    --release-primary-color: aqua;
    --release-secondary-color: hotpink;

    flex: 1 1 auto;
    width: 100%;
    height: 100dvh;
    scroll-snap-align: start;
    position: relative;
}

.release__image {
    pointer-events: none;
    position: absolute;
    bottom: 0;
    right: 0;
    max-width: 100%;
    max-height: 100%;
    margin: 0;
    z-index: -1;
    opacity: 0;
}

.release__image.animate {
    animation: fadeInUp 1000ms ease forwards;
}

.release__content {
    text-transform: uppercase;
    letter-spacing: 2px;
    padding: calc(12vw + 60px + 6vw) 6vw 6vw 6vw;
    text-align: center;
}

@media screen and (min-width: 760px), (max-height: 460px) {
    .release__content {
        text-align: left;
        margin: 0;
        padding: 0;
        position: absolute;
        bottom: 6vw;
        left: 6vw;
        width: 50%;
    }
}

.release__subtitle {
    font-size: clamp(.7rem, 2vw, 1rem);
}

.divider {
    opacity: .5;
}

.release__status {
    --release-status-color: var(--release-secondary-color);

    color: var(--release-status-color);
    font-weight: 700;
}

.release__title {
    font-size: clamp(3rem, 5vw, 5rem);
    margin: 1rem 0 1rem 0;
    font-family: 'Magneta', Georgia, serif;
    font-weight: 700;
    font-style: normal;
}

.button-group {
    display: flex;
    justify-content: center;
}

@media screen and (min-width: 760px), (max-height: 460px) {
    .button-group {
        justify-content: flex-start;
    }
}

.button {
    --button-default-color: var(--brand-color-secondary);
    --button-default-color-hover: var(--button-default-color);
    --button-default-background: var(--brand-color-primary);
    --button-default-background-hover: var(--button-default-background);
    --button-primary-color-hover: var(--brand-color-secondary);
    --button-primary-background-hover: var(--button-default-background-hover);

    color: var(--button-default-color);
    background-color: var(--button-default-background);
    position: relative;
    isolation: isolate;
    overflow: hidden;
    transition: color 300ms ease-in-out;
    padding: 1em 2em;
    font-weight: 700;
    text-decoration: none;
    display: block;
    font-size: clamp(.7rem, 2vw, 1rem);
    min-width: 60px;
}

.button:focus {
    outline: 2px dashed var(--button-default-color);
    outline-offset: 2px;
}

.button::before {
    content: '';
    position: absolute;
    inset: -1px;
    z-index: -1;
    background-color: var(--button-default-background-hover);
    will-change: transform;
    transform: scaleY(0);
    transform-origin: top;
    transition: transform 300ms ease-in-out;
}

@media (hover: hover) {
    .button:hover {
        color: var(--button-default-color-hover);
    }

    .button:hover::before {
        transform: scaleY(1);
    }
}

.button-primary {
    --button-primary-background: var(--release-primary-color);
    --button-primary-color: var(--brand-color-tertiary);

    color: var(--button-primary-color);
    background-color: var(--button-primary-background);
}

/* If browser supports dynamic viewport heights */
@supports(height: 100dvh) {
    .wrapper, .container, .release {
        height: 100dvh;
    }
}

@keyframes place {
    0% {
        transform: scale(.6);
    }
    50% {
        fill: var(--logo-animation-part-color);
        transform: scale(1.1);
    }
    100% {
        fill: var(--logo-default-color);
        transform: scale(1);
    }
}

@keyframes fadeInUp {
    from {
        opacity: 0;
        transform: translateY(4rem);
    }
    to {
        opacity: 1;
        transform: translateY(0);
    }
}
